import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:lexus_test/lexus_test.dart';

void main() {
  const MethodChannel channel = MethodChannel('lexus_test');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await LexusTest.platformVersion, '42');
  });
}
